---
title: Repositories
---

# Repositories

<div class="documentation__toc"></div>

## Introduction

Addon `repositories` are [Composer](https://getcomposer.org/) package listings like [Packagist.org](https://packagist.org) or a [SATIS server](https://getcomposer.org/doc/articles/handling-private-packages-with-satis.md).

> The addons module comes out of the box with support for the PyroCMS marketplace.{.info} 

### Adding Repositories

> The Addons module only supports adding SATIS servers at this time.{.danger}

After [setting up a SATIS server](https://getcomposer.org/doc/articles/handling-private-packages-with-satis.md#satis) and populating it with your addon packages you can add the name and `URL` to the `Repositories` section of the control panel to integrate it.


### Refreshing Repositories

You can refresh the addon repository information by running the `refresh` command or by using `addons:sync`:

```bash
php artisan addons:sync
```

To force update and overwrite each addon's repository information use the `--force` option:

```bash
php artisan addons:sync --force
```
