---
title: CLI Commands
---

# CLI Commands

<div class="documentation__toc"></div>

## Addons

### addons:show

Shows statuses and other information for a given `addon`:

```bash
php artisan addons:show anomaly.module.pages
```

Alternatively you can specify the addon by `package name`:

```bash
php artisan addons:download anomaly/pages-module
```

### addons:download

Download an `addon` and it's dependencies and append `composer.json` requirements. 

```bash
php artisan addons:download anomaly.extension.authy_authenticator
```

Alternatively you can specify the addon by `package name`:

```bash
php artisan addons:download anomaly/authy_authenticator-extension
```

### addons:update

Update an `addon` and it's dependencies. 

```bash
php artisan addons:update anomaly.extension.authy_authenticator
```

Alternatively you can specify the addon by `package name`:

```bash
php artisan addons:update anomaly/authy_authenticator-extension
```

### addons:remove

Remove an `addon` and it's dependencies and adjust `composer.json` requirements. 

```bash
php artisan addons:remove anomaly.extension.authy_authenticator
```

Alternatively you can specify the addon by `package name`:

```bash
php artisan addons:remove anomaly/authy_authenticator-extension
```


## Utilities

### addons:sync

Sync repositories and addon information. This command also refreshes information for addons within the `addons/{application}` and `addons/shared` directories. 

```bash
php artisan addons:sync
```
